package shanghu

import (
	"github.com/shopspring/decimal"
	"time"
)

// 活动提现
type ActiveCashOut struct {
	ID               int64           `gorm:"column:id;type:bigint(20);primary_key;AUTO_INCREMENT" json:"id"` // Id
	OpenID           string          `gorm:"column:open_id;type:varchar(255)" json:"open_id"`                // Openid
	AppID            string          `gorm:"column:app_id;type:varchar(255)" json:"app_id"`                  // Appid
	Status           int             `gorm:"column:status;type:int(11)" json:"status"`                       // 1-提现中 2-提现失败 3-钱已到账待账户扣减  99-提现成功
	FailRes          string          `gorm:"column:fail_res;type:text" json:"fail_res"`                      // 失败原因
	PartnerTradeNo   string          `gorm:"column:partner_trade_no;type:varchar(50)" json:"partner_trade_no"`
	Amount           decimal.Decimal `gorm:"column:amount;type:decimal(10,2)" json:"amount"`                          // 金额
	CornTime         time.Time       `gorm:"column:corn_time;type:datetime" json:"corn_time"`                         // 定时任务下次查询状态时间
	CreateBy         int64           `gorm:"column:create_by;type:bigint(20)" json:"create_by"`                       // 创建者
	UpdateBy         int64           `gorm:"column:update_by;type:bigint(20)" json:"update_by"`                       // 更新者
	CreatedAt        time.Time       `gorm:"column:created_at;type:datetime(3)" json:"created_at"`                    // 创建时间
	UpdatedAt        time.Time       `gorm:"column:updated_at;type:datetime(3)" json:"updated_at"`                    // 最后更新时间
	DeletedAt        time.Time       `gorm:"column:deleted_at;type:datetime(3);default:null" json:"deleted_at"`       // 删除时间
	Fee              decimal.Decimal `gorm:"column:fee;type:decimal(10,2)" json:"fee"`                                // 手续费
	WxPartnerTradeNo string          `gorm:"column:wx_partner_trade_no;type:varchar(255)" json:"wx_partner_trade_no"` // 微信批次号
	AccountStatus    int             `gorm:"column:account_status;type:int(11);default:0" json:"account_status"`      // 分账状态 99-分账成功 2-分账失败 0-未分账 3-分账中
	AccountFailRes   string          `gorm:"column:account_fail_res;type:varchar(255)" json:"account_fail_res"`       // 分账失败原因
}

func (m *ActiveCashOut) TableName() string {
	return "active_cash_out"
}
